/** Calcola la media e il massimo di un insieme di dati */
public class DataSet {
  /** Inizializza le variabili istanza con valori relativi ad un insieme
      di dati vuoto */
  public DataSet() {
    sum = 0;
    count = 0;
    maximum = 0;
  }
  /** Aggiunge un valore all'insieme di dati 
      @param x un valore */
  public void add(double x) {
    sum += x;
    if (count == 0 || x > maximum) 
      maximum = x;
    count++;
    }
  /** Restituisce la media dei valori inseriti 
      @return la media, oppure 0 se non sono stati inseriti valori 
    */
  public double getAverage() {
    if (count == 0) return 0;
    else return sum / count;
  }
  /** Restituisce il valore massimo tra quelli inseriti
      @return il massimo, o 0 se non sono stati inseriti valori */
  public double getMaximum() {
    return maximum;
  }
  
  // variabili istanza
  private double sum;
  private int count;
  private double maximum;
}
